libgdamm 4.99.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

New API in libgdamm 4.2

Member Gnome::Gda::Connection::async_cancel (guint task_id)
  Parameters

    task_id | A task ID returned by async_statement_execute().

  Returns
    `true` if no error occurred.
Member Gnome::Gda::Connection::async_fetch_result (guint task_id, GdaSet** last_insert_row)
  Parameters

    task_id | A task ID returned by async_statement_execute().
    last_insert_row | A place to store a new Gda::Set object which contains the values of the last inserted row, or `0`.

  Returns
    A Object, or `0` if an error occurred.
Member Gnome::Gda::Connection::async_statement_execute (const Glib::RefPtr< const Statement >& stmt, const Glib::RefPtr< const Set >& params, StatementModelUsage model_usage, const std::vector< GType >& col_types, bool need_last_insert_row=false)
  Parameters

    stmt | A Gda::Statement object.
    params | A Gda::Set object (which can be obtained using Gda::Statement::get_parameters()), or `0`.
    model_usage | In the case where stmt is a SELECT statement, specifies how the returned data model will be used.
    col_types | An array of GType to request each returned Gda::DataModel's column's GType, terminated with the G_TYPE_NONE.
    need_last_insert_row | `true` if the values of the last interted row must be computed.

  Returns
    A task ID, or 0 if an error occurred (not an error regarding stmt itself as its execution has not yet started but any other error).
Member Gnome::Gda::DataSelect::rerun ()
  Returns
    `true` if no error occurred.
Member Gnome::Gda::MetaStore::set_identifiers_style (SqlIdentifierStyle style)
  Parameters

    style | A style.

Member Gnome::Gda::SqlBuilder::add_field_id (const Glib::ustring& field_name, const Glib::ustring& table_name=Glib::ustring())
  Parameters

    field_name | A field name.
    table_name | A table name, or `0`.

  Returns
    The ID of the new expression, or %0 if there was an error.
Member Gnome::Gda::SqlBuilder::add_field_value_as_value (const Glib::ustring& field_name, const Value& value)
  Parameters

    field_name | A field name.
    value | Value to set the field to, or `0` or a GDA_TYPE_`0` value to represent an SQL `0`.

Member Gnome::Gda::SqlBuilder::add_field_value_id (Id field_id, Id value_id=0)
  Parameters

    field_id | The ID of the field's name or definition.
    value_id | The ID of the value to set the field to, or %0.

Member Gnome::Gda::SqlBuilder::add_id (const Glib::ustring& string)
  Parameters

    string | A string.

  Returns
    The ID of the new expression, or %0 if there was an error.
Member Gnome::Gda::SqlBuilder::compound_add_sub_select (const SqlStatement& sqlst)
  Parameters

    sqlst | A pointer to a Gda::SqlStatement, which has to be a SELECT or compound SELECT. This will be copied.

Member Gnome::Gda::SqlBuilder::export_expression (Id id) const
  Parameters

    id | The ID of the expression to be exported, (must be a valid ID in builder, not %0).

  Returns
    A pointer to a new Gda::SqlExpr structure, free using gda_sql_expr_free() when not needed anymore. If the part with id as ID cannot be found, the returned value is `0`.
Member Gnome::Gda::SqlBuilder::get_sql_statement () const
  Returns
    A Gda::SqlStatement pointer.
Member Gnome::Gda::SqlBuilder::get_statement () const
  Returns
    A new Gda::Statement object, or `0` if an error occurred.
Member Gnome::Gda::SqlBuilder::join_add_field (Id join_id, const Glib::ustring& field_name)
  Parameters

    join_id | The ID of the join to modify (not %0).
    field_name | The name of the field to use in the join condition (not `0`).

  Returns
    The ID of the new join, or %0 if there was an error.
Member Gnome::Gda::SqlBuilder::select_add_field (const Glib::ustring& field_name, const Glib::ustring& table_name, const Glib::ustring& alias=Glib::ustring())
  Parameters

    field_name | A field name.
    table_name | A table name, or `0`.
    alias | An alias (eg. for the "AS" clause), or `0`.

  Returns
    The ID of the added field, or %0 if there was an error.
Member Gnome::Gda::SqlBuilder::select_add_target_id (Id table_id, const Glib::ustring& alias=Glib::ustring())
  Parameters

    table_id | The ID of the expression holding a table reference (not %0).
    alias | The alias to give to the target, or `0`.

  Returns
    The ID of the new (or existing) target, or %0 if there was an error.
Member Gnome::Gda::SqlBuilder::select_group_by (Id expr_id)
  Parameters

    expr_id | The ID of the expression to set use in the GROUP BY clause, or 0 to unset any previous GROUP BY clause.

Member Gnome::Gda::SqlBuilder::select_order_by (Id expr_id, bool asc=true, const Glib::ustring& collation_name=Glib::ustring())
  Parameters

    expr_id | The ID of the expression to use during sorting (not %0).
    asc | `true` for an ascending sorting.
    collation_name | Name of the collation to use when sorting, or `0`.

Member Gnome::Gda::SqlBuilder::select_set_distinct (bool distinct, Id expr_id)
  Parameters

    distinct | Set to `true` to have the DISTINCT requirement.
    expr_id | The ID of the DISTINCT ON expression, or %0 if no expression is to be used. It is ignored if distinct is `false`.

Member Gnome::Gda::SqlBuilder::select_set_having (Id cond_id)
  Parameters

    cond_id | The ID of the expression to set as HAVING condition, or 0 to unset any previous HAVING condition.

Member Gnome::Gda::SqlBuilder::select_set_limit_id (Id limit_count_expr_id, Id limit_offest_expr_id=0)
  Parameters

    limit_count_expr_id | The ID of the LIMIT expression, or %0.
    limit_offset_expr_id | The ID of the OFFSET expression, or %0.

Member Gnome::Gda::SqlBuilder::set_table (const Glib::ustring& table_name)
  Parameters

    table_name | A table name.

Member Gnome::Gda::SqlBuilder::set_where (Id cond_id)
  Parameters

    cond_id | The ID of the expression to set as WHERE condition, or 0 to unset any previous WHERE condition.